package cn.com.ctop.kuaishou.modules.dimension.mapper;

import cn.com.ctop.kuaishou.modules.dimension.entity.KuaiShouDimensionMaterial;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 多维度测试素材列表
 *
 * @author jeecg-boot
 * 2021-07-23
 * @version V1.0
 */
public interface KuaiShouDimensionMaterialMapper extends BaseMapper<KuaiShouDimensionMaterial> {

    void addBatch(@Param("addList") List<KuaiShouDimensionMaterial> dimensionMaterials);

    List<JSONObject> getVideoList(Map<String, Object> requestMap);

    String getSignatureByPhotoId(@Param("photoId") Long photoId);
}
