package cn.com.ctop.kuaishou.modules.dimension.service;

import cn.com.ctop.kuaishou.modules.dimension.entity.KuaiShouDimensionAgeConfig;
import com.alibaba.fastjson.JSONArray;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Map;

/**
 * 素材多维度年龄配置
 *
 * @author jeecg-boot
 * 2021-07-29
 * @version V1.0
 */
public interface IKuaiShouDimensionAgeConfigService extends IService<KuaiShouDimensionAgeConfig> {

    Map<String, JSONArray> getAgeMap();

    Map<String, String> getAgeNameMap();
}
